List Users
curl --request GET \
--url https://api.hilos.io/api/account-member \
--header 'Authorization: <api-key>'import requests
url = "https://api.hilos.io/api/account-member"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hilos.io/api/account-member', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"id": 123,
"account": 123,
"profile_image": "<string>",
"date_joined": "2023-11-07T05:31:56Z",
"teams": [
{
"id": 123,
"name": "<string>",
"assignment_strategy": "<string>"
}
],
"user_permissions": [
"<string>"
],
"available_channels": [
{
"id": 123,
"channel_id": "<string>",
"channel_type": "WHATSAPP",
"name": "<string>",
"status": "NEW",
"created_on": "2023-11-07T05:31:56Z",
"channel_provider": "META_CLOUD_API",
"is_sandbox": true
}
],
"role": "AGENT"
}
]Account management
List all account members
Lists Users.
GET
/
api
/
account-member
List Users
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Which field to use when ordering the results.
You can search users with the email, first_name or last_name fields.
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
AGENT, MANAGER, ADMIN, FINANCE Was this page helpful?

